function LeyZipfplus(id,pend_zipf)

 % Almacenamos el numero de identificadores distintos asi como 
 % las veces que se repite cada identificador

[numid,numrepid]=mmrepeat(sortrows(id));       
porcenid=100*numrepid./sum(numrepid);                           

ejexzipf=linspace(1,length(numrepid),length(numrepid))';
%nume=log10(sortrows(porcenid,-1));
nume=log10(sortrows(numrepid,-1));
deno=log10(ejexzipf);
y1=10^(floor(log10(length(nume)))-1);
t=(nume(y1)-nume(100))/(deno(y1)-deno(100));

%subplot(3,2,1)
%y=sortrows(porcenid,-1);
y=sortrows(numrepid,-1);
plot(log10(ejexzipf),log10(y),'k-','LineWidth',2);
xlabel('Log10(Ranking)');
ylabel('Log10(Popularidad)');
title('Ley de Zipf');
hold on;
text(0.9,0.75,'alfa = ','FontSize',8);
text(1.45,0.75,num2str(t),'FontSize',8);
mitad=log10(ejexzipf(end))/2;
pos2=find(log10(ejexzipf)>mitad,1);
y2=-pend_zipf*(log10(ejexzipf)-log10(ejexzipf(pos2)))+log10(y(pos2));
plot(log10(ejexzipf),y2,'k--');
legend2 = legend({'real','ideal'});
legend boxoff;
fid = fopen('parametros.txt','at');
fprintf(fid,'%g\n',t);
fclose(fid);

