% Con esta funcion lo que intentamos es obtener una serie de parametros
% estadisticos sobre nuestras muestras.

function datos3(id,tamano,tipo);


clc;
warning off;
table=[id tamano tipo];
table=sortrows(table,1);
[numid,numrepid]=mmrepeat((table(:,1)));

subplot(3,2,1)
hold on;
LeyZipf(id);            % Hallamos la ley zipf de los identificadores que nos pasen

% Lo primero que debemos hacer es quedarnos con aquellas referencias que
% solo se dan una vez ya que NO debemos contar las repeticiones.

sol=table_distintos(table);


% En sol tenemos almacenados todas las distintas id junto con su tamao

fprintf('El numero total de peticiones es ');num_pet=length(id);disp(num_pet);
fprintf('El numero total de objetos distintos es ');num_id_dist=max(numid);disp(num_id_dist);
fprintf('El numero de one-timers es (sobre el total de objetos distintos) ');one_timers=length(find(numrepid==1));disp(one_timers);
fprintf('Veamos algunos parametros de los distintos tipos:');
fprintf('Aplicaciones: ');num_apli=length(find(sol(:,3)==0));disp(num_apli);
fprintf('   taamo medio: ');tam_med_apli=mean(sol(find(sol(:,3)==0),2));disp(tam_med_apli);
fprintf('Audio: ');num_audio=length(find(sol(:,3)==1));disp(num_audio);
fprintf('   taamo medio: ');tam_med_audio=mean(sol(find(sol(:,3)==1),2));disp(tam_med_audio);
fprintf('Imagenes: ');num_imag=length(find(sol(:,3)==2));disp(num_imag);
fprintf('   taamo medio: ');tam_med_imag=mean(sol(find(sol(:,3)==2),2));disp(tam_med_imag);
fprintf('Mensajes: ');num_mens=length(find(sol(:,3)==3));disp(num_mens);
fprintf('   taamo medio: ');tam_med_mens=mean(sol(find(sol(:,3)==3),2));disp(tam_med_mens);
fprintf('Texto: ');num_txt=length(find(sol(:,3)==4));disp(num_txt);
fprintf('   taamo medio: ');tam_med_txt=mean(sol(find(sol(:,3)==4),2));disp(tam_med_txt);
fprintf('Video: ');num_video=length(find(sol(:,3)==5));disp(num_video);
fprintf('   taamo medio: ');tam_med_video=mean(sol(find(sol(:,3)==5),2));disp(tam_med_video);

k=10000;
dist_tam3(sol,numrepid,k);


 
 LRUstack(id);
 %pendiente
 