% Con esta funcion lo que intentamos es obtener una serie de parametros
% estadisticos sobre nuestras muestras.

function datos3plus(id,tamano,tipo,pend_zipf,k,pareto_tail_index);



clc;
warning off;
table=[id tamano tipo];
table=sortrows(table,1);
[numid,numrepid]=mmrepeat((table(:,1)));

% Lo primero que debemos hacer es quedarnos con aquellas referencias que
% solo se dan una vez ya que NO debemos contar las repeticiones.

sol=table_distintos(table);


% En sol tenemos almacenados todas las distintas id junto con su tamao
fprintf('El valor de k es: ');disp(k);
fprintf('El numero total de peticiones es ');num_pet=length(id);disp(num_pet);
fprintf('El numero total de objetos distintos es ');num_id_dist=max(numid);disp(num_id_dist);
fprintf('El %% de documentos distintos es :');por_doc_dist=num_id_dist*100/num_pet;disp(por_doc_dist);
fprintf('El numero de one-timers es (sobre el total de objetos distintos) ');one_timers=length(find(numrepid==1));disp(one_timers);
fprintf('El %% de one-timers es: ');por_one_timers=one_timers*100/num_id_dist;disp(por_one_timers);
fprintf('Veamos algunos parametros de los distintos tipos:');
fprintf('Aplicaciones: ');num_apli=length(find(table(:,3)==0));disp(num_apli);
fprintf('   taamo medio: ');tam_med_apli=mean(sol(find(sol(:,3)==0),2));disp(tam_med_apli);
fprintf('Audio: ');num_audio=length(find(table(:,3)==1));disp(num_audio);
fprintf('   taamo medio: ');tam_med_audio=mean(sol(find(sol(:,3)==1),2));disp(tam_med_audio);
fprintf('Imagenes: ');num_imag=length(find(table(:,3)==2));disp(num_imag);
fprintf('   taamo medio: ');tam_med_imag=mean(sol(find(sol(:,3)==2),2));disp(tam_med_imag);
fprintf('Mensajes: ');num_mens=length(find(table(:,3)==3));disp(num_mens);
fprintf('   taamo medio: ');tam_med_mens=mean(sol(find(sol(:,3)==3),2));disp(tam_med_mens);
fprintf('Texto: ');num_txt=length(find(table(:,3)==4));disp(num_txt);
fprintf('   taamo medio: ');tam_med_txt=mean(sol(find(sol(:,3)==4),2));disp(tam_med_txt);
fprintf('Video: ');num_video=length(find(table(:,3)==5));disp(num_video);
fprintf('   taamo medio: ');tam_med_video=mean(sol(find(sol(:,3)==5),2));disp(tam_med_video);

 fod = fopen('parametros.txt','wt');
 fprintf(fod,'%g\n',num_pet);
 fprintf(fod,'%g\n',por_doc_dist);
 fprintf(fod,'%g\n',por_one_timers);
 fprintf(fod,'%g\n',num_apli*100/num_pet);
 fprintf(fod,'%g\n',num_audio*100/num_pet);
 fprintf(fod,'%g\n',num_imag*100/num_pet);
 fprintf(fod,'%g\n',num_mens*100/num_pet);
 fprintf(fod,'%g\n',num_txt*100/num_pet);
 fprintf(fod,'%g\n',num_video*100/num_pet);
 fclose(fod);
        



subplot(3,2,1)
hold on;
LeyZipfplus(id,pend_zipf);            % Hallamos la ley zipf de los identificadores que nos pasen


dist_tam3plus(sol,numrepid,k,pareto_tail_index);


 
 LRUstack(id);
 %pendiente
 