function LeyZipf(id)

 % Almacenamos el numero de identificadores distintos asi como 
 % las veces que se repite cada identificador

[numid,numrepid]=mmrepeat(sortrows(id));       
porcenid=100*numrepid./sum(numrepid);                           

ejexzipf=linspace(1,length(numrepid),length(numrepid))';
t=median((log10(sortrows(numrepid,-1))./log10(ejexzipf)));
%t=median((log10(sortrows(porcenid,-1))./log10(ejexzipf)));
%subplot(3,2,1)
%plot(log10(ejexzipf),log10(sortrows(porcenid,-1)),'k.');
plot(log10(ejexzipf),log10(sortrows(numrepid,-1)),'k.');
xlabel('Log10(Ranking)');
ylabel('Log10(Popularidad)');
title('Ley de Zipf');
hold on;
annotation1 = annotation('textbox','Position',[0.33 0.82 0.08 0.08],...
                    'String',{'alfa=',t},'FontSize',8,'LineStyle','none');