function [pos] = busqbin2(dato,col)
% Esta funcion realiza una busqueda binaria en col del elemento dato, la
% diferencia principal con busqbin es que en este caso col es monotamente
% creciente, es decir no se repiten valores en col.
  if dato<=col(end)   
        inicio = 1;
        final = length(col);
        fin = false;
        pos=1;    % Esto se pone para el caso en que dato<col(1)
     while ( (inicio <= final) & (~fin) ) 
        medio = floor((inicio+final)/2);
           if dato == col(medio)
              pos=single(medio);
              fin=true;
           elseif ( (col(medio)<dato) & (col(medio+1)>dato) )
              pos=single(medio+1);
              inicio=final+1;
           elseif (col(medio)<dato)
               inicio = medio+1;
           else
              final = medio-1;
           end
     end
  else
      pos=single(length(col)+1);
  end
  
 
  